aboutsummaryrefslogtreecommitdiffstats
path: root/test/Feature
diff options
context:
space:
mode:
authorChris Lattner <sabre@nondot.org>2001-09-07 16:58:39 +0000
committerChris Lattner <sabre@nondot.org>2001-09-07 16:58:39 +0000
commit12ecac65f5ee9bfa40108ad2361df1297b29b60c (patch)
treee14ef6f952744d685f8cb450958a5611879e8a37 /test/Feature
parentbc7a95eb7ae8b79de22dcaa5463a7f25d524098e (diff)
downloadexternal_llvm-12ecac65f5ee9bfa40108ad2361df1297b29b60c.zip
external_llvm-12ecac65f5ee9bfa40108ad2361df1297b29b60c.tar.gz
external_llvm-12ecac65f5ee9bfa40108ad2361df1297b29b60c.tar.bz2
Symboltables are sorted in the bytecode, so no problems here!
git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@468 91177308-0d34-0410-b5e6-96231b3b80d8
Diffstat (limited to 'test/Feature')
-rwxr-xr-xtest/Feature/TestAsmDisasm.sh4
1 files changed, 1 insertions, 3 deletions
diff --git a/test/Feature/TestAsmDisasm.sh b/test/Feature/TestAsmDisasm.sh
index 56e3833..88c8633 100755
--- a/test/Feature/TestAsmDisasm.sh
+++ b/test/Feature/TestAsmDisasm.sh
@@ -8,10 +8,8 @@ LD_LIBRARY_PATH=../lib/Assembly/Parser/Debug:../lib/Assembly/Writer/Debug:../lib
export LD_LIBRARY_PATH
# Two full cycles are needed for bitwise stability
-# FIXME: We must strip symbols, because the symbol tables are not output in
-# sorted order in the bytecode :(
-../tools/as/as < $1 | ../tools/opt/opt -q -strip > $1.bc.1 || exit 1
+../tools/as/as < $1 > $1.bc.1 || exit 1
../tools/dis/dis < $1.bc.1 > $1.ll.1 || exit 2
../tools/as/as < $1.ll.1 > $1.bc.2 || exit 3
../tools/dis/dis < $1.bc.2 > $1.ll.2 || exit 4